## erlang-oauth2 0.2015.09.28

=== Makefile ===
PROJECT = oauth2
DIALYZER = dialyzer
REBAR = ./rebar

.PHONY: all deps compile clean test ct build-plt dialyze

all: deps compile

deps:
	$(REBAR) -C rebar.test.config get-deps

compile:
	$(REBAR) compile

clean:
	$(REBAR) clean
	rm -f test/*.beam
	rm -f erl_crash.dump

test: ct dialyze doc

test-build:
	$(REBAR) -C rebar.test.config compile

ct: clean deps test-build
	$(REBAR) -C rebar.test.config eunit skip_deps=true

build-plt:
	$(DIALYZER) --build_plt --output_plt .$(PROJECT).plt \
		--apps erts kernel stdlib sasl inets crypto public_key ssl

dialyze: clean deps test-build
	$(DIALYZER) --plt .$(PROJECT).plt ebin

=== debian/changelog ===
erlang-oauth2 (0.2015.09.28-2) unstable; urgency=medium

  * Updated debian/copyright
  * Updated Standards-Version: 3.9.7 (no changes needed)
  * Updated Vcs-* fields in debian/control

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Feb 2016 18:56:55 +0100

erlang-oauth2 (0.2015.09.28-1) unstable; urgency=low

  * Initial release (Closes: #800591)

 -- Philipp Huebner <debalance@debian.org>  Thu, 01 Oct 2015 15:41:13 +0200

=== debian/control ===
Source: erlang-oauth2
Section: libs
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-proper-dev, erlang-meck
Standards-Version: 3.9.7
Homepage: https://github.com/prefiks/oauth2
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-oauth2.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-oauth2.git

Package: erlang-oauth2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: Erlang library for server side implementation of OAuth2
 This library is designed to simplify the implementation of the server side of
 OAuth2 (http://tools.ietf.org/html/rfc6749). It provides no support for
 developing clients. See https://github.com/kivra/oauth2_client for support in
 accessing Oauth2 enabled services.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=rebar --with rebar
